Practitioners
Retrieve a practitioner
GET
/
practitioners
/
{practitioner}
cURL
curl --request GET \
--url https://api.caspen.com/v1/practitioners/{practitioner}import requests
url = "https://api.caspen.com/v1/practitioners/{practitioner}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.caspen.com/v1/practitioners/{practitioner}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pra_01HQFQ9QWTNNPY58FZ8CB3FWWK",
"online_appointment_booking": true,
"service_ids": [
"ser_01HYHYQHA682J0K1RW7B2HVA9F",
"ser_01HYHYW37MTYJPMT5JV4RN99GK"
],
"location_ids": [
"loc_01HYHYQHA682J0K1RW7B2HVA9F",
"loc_01HYHYW37MTYJPMT5JV4RN99GK"
],
"provider_numbers": [
{
"id": "prn_01HQR12PABCD1234EFGH56789",
"location_id": "loc_01HQFQ9QWTNNPY58FZ8CB3FWWK",
"type": "medicare",
"number": "123456A"
}
],
"created_at": "2024-01-01T12:00:00Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Path Parameters
The practitioner ID
Response
PractitionerResource
The practitioner's unique identifier.
Example:
"pra_01HQFQ9QWTNNPY58FZ8CB3FWWK"
Whether online appointment booking is enabled for this practitioner.
Example:
true
The IDs of services provided by this practitioner.
Example:
[
"ser_01HYHYQHA682J0K1RW7B2HVA9F",
"ser_01HYHYW37MTYJPMT5JV4RN99GK"
]
The IDs of locations where this practitioner works.
Example:
[
"loc_01HYHYQHA682J0K1RW7B2HVA9F",
"loc_01HYHYW37MTYJPMT5JV4RN99GK"
]
The practitioner's provider numbers for different locations.
Show child attributes
Show child attributes
Example:
[
{
"id": "prn_01HQR12PABCD1234EFGH56789",
"location_id": "loc_01HQFQ9QWTNNPY58FZ8CB3FWWK",
"type": "medicare",
"number": "123456A"
}
]
The timestamp when the practitioner was created (ISO 8601).
Example:
"2024-01-01T12:00:00Z"
⌘I
cURL
